Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002482Zandronum[All Projects] Bugpublic2015-10-07 13:452017-02-07 18:14
ReporterZalewa 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002482: How can I blank a CVAR from command line?
DescriptionFix for a command-line problem that was reported and fixed in ZDoom has created a new problem with command-line parsing. This is the report:
http://forum.zdoom.org/viewtopic.php?f=7&t=33763 [^]

Right now I have no idea how to blank a CVAR from command line.

For example, I want to have a blank MOTD. In Zandronum 2.1 and earlier the following worked:

+sv motd "\"\""

This weird syntax actually did what I expected. However, in Zandronum 3.0 it will set MOTD to double double-quotes: "".

The following:

+sv motd ""

also doesn't work. Instead of blanking the variable, the game will load the one that is stored in the config file. If we used MOTD such as "Alice has a cat" in a previous run, with +sv_motd "" the MOTD will still be "Alice has a cat".

I have also discovered that Zandronum will interpret \0 escape sequence as the end of the string:

+sv_motd "\0"

This seemed to work nicely until I discovered that it produces odd behavior when sv_motd is queried in the server console, and at least in builds prior 2015-10-04 it caused clients to print empty MOTD to console and would randomly crash the game.
Attached Files

- Relationships
related to 0002480needs testingZalewa Doomseeker doomseeker adds unnecessary "" to blank commands 

-  Notes
User avatar (0016230)
Edward-san (developer)
2016-11-20 21:37

Why is it reported here and not in ZDoom?
User avatar (0016370)
Zalewa (developer)
2016-11-27 21:57

Quote from Edward-San
Why is it reported here and not in ZDoom?

Bluntly, because I don't care if it gets fixed in ZDoom or not. It can't even be qualified as a bug, it's just the way the command line works. I want this to work in Zandronum.

Nevertheless, I posted the issue in the original thread on the ZDoom forums
http://forum.zdoom.org/viewtopic.php?f=7&t=33763&p=958043#p958043 [^]
User avatar (0016608)
Dusk (developer)
2017-01-05 21:06

We need an answer from ZDoom regarding this if this is going to make it to 3.0.
User avatar (0016624)
Zalewa (developer)
2017-01-08 11:11
edited on: 2017-01-08 11:23

How should this proceed now when ZDoom is dead?

User avatar (0016626)
Edward-san (developer)
2017-01-08 18:07

GZDoom is still active and we still depend on it. It's better to make a new bug report in the github tracker until the shared mantisbt is ready.
User avatar (0016627)
Zalewa (developer)
2017-01-09 17:28

I've went ahead and created PR into GZDoom repository with your change:https://github.com/coelckers/gzdoom/pull/210 [^]
User avatar (0016630)
Zalewa (developer)
2017-01-09 23:04

The PR is merged so I'm changing the "resolution" back to open.
User avatar (0016641)
Torr Samaho (administrator)
2017-01-15 10:51

I backported the GZDoom fix.
User avatar (0016645)
Zalewa (developer)
2017-01-15 14:10
edited on: 2017-01-15 14:13

I compiled the newest tip and already implemented necessary changes in Doomseeker. So far it looks good - I tried following values both on Linux and Windows:

- empty ("")
- plain (something)
- single word quoted ("something")
- with space ("some thing")
- with quote ("some\"thing")
- with space and quote ("some \" thing")


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-10-07 13:45 Zalewa New Issue
2015-10-07 13:46 Zalewa Relationship added related to 0002480
2015-10-07 13:47 Zalewa Description Updated View Revisions
2015-10-07 13:48 Zalewa Description Updated View Revisions
2016-11-20 21:37 Edward-san Note Added: 0016230
2016-11-20 21:37 Edward-san Product Version 3.0 => 3.0-beta
2016-11-21 07:10 Torr Samaho Status new => feedback
2016-11-27 21:57 Zalewa Note Added: 0016370
2016-11-27 21:57 Zalewa Status feedback => new
2016-11-28 10:41 Edward-san Status new => acknowledged
2016-11-28 10:41 Edward-san Resolution open => waiting for zdoom
2016-12-24 22:41 Dusk Target Version => 3.0
2017-01-05 21:06 Dusk Note Added: 0016608
2017-01-08 11:11 Zalewa Note Added: 0016624
2017-01-08 11:23 Zalewa Note Edited: 0016624 View Revisions
2017-01-08 18:07 Edward-san Note Added: 0016626
2017-01-09 17:28 Zalewa Note Added: 0016627
2017-01-09 23:04 Zalewa Note Added: 0016630
2017-01-09 23:04 Zalewa Resolution waiting for zdoom => open
2017-01-10 09:58 Edward-san Assigned To => Torr Samaho
2017-01-10 09:58 Edward-san Status acknowledged => assigned
2017-01-15 10:51 Torr Samaho Note Added: 0016641
2017-01-15 10:52 Torr Samaho Status assigned => needs testing
2017-01-15 14:10 Zalewa Note Added: 0016645
2017-01-15 14:12 Zalewa Note Edited: 0016645 View Revisions
2017-01-15 14:12 Zalewa Note Edited: 0016645 View Revisions
2017-01-15 14:13 Zalewa Note Edited: 0016645 View Revisions
2017-02-07 18:14 Dusk Status needs testing => resolved
2017-02-07 18:14 Dusk Fixed in Version => 3.0
2017-02-07 18:14 Dusk Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker